Debian Debian-France Debian-Facile Debian-fr.org Debian-fr.xyz Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 27-11-2020 16:09:13

olivier76
Membre
Distrib. : GNU/Linux Debian "Buster"
Noyau : Linux 4.19.0-10-amd64
(G)UI : Gnome
Inscription : 22-08-2020

[Résolu] Problème avec APT

Bonjour,*
J'ai le problème suivant  avec la commande "apt upgrade"  :

$ sudo apt upgrade
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Paramétrage de lvm2 (2.03.02-3) ...
update-initramfs: deferring update (trigger activated)
Failed to restart lvm2-lvmpolld.service: Unit lvm2-lvmpolld.socket is masked.
invoke-rc.d: initscript lvm2-lvmpolld, action "restart" failed.
● lvm2-lvmpolld.service - LVM2 poll daemon
   Loaded: loaded (/lib/systemd/system/lvm2-lvmpolld.service; static; vendor preset: enabled)
   Active: inactive (dead)
     Docs: man:lvmpolld(8)
dpkg: erreur de traitement du paquet lvm2 (--configure) :
 installed lvm2 package post-installation script subprocess returned error exit status 1
Traitement des actions différées (« triggers ») pour initramfs-tools (0.133+deb10u1) ...
update-initramfs: Generating /boot/initrd.img-4.19.0-12-amd64
cryptsetup: WARNING: The initramfs image may not contain cryptsetup binaries
    nor crypto modules. If that's on purpose, you may want to uninstall the ]
    'cryptsetup-initramfs' package in order to disable the cryptsetup initramfs
    integration and avoid this warning.
I: The initramfs will attempt to resume from /dev/sda3
I: (UUID=a03d143a-3d01-4c21-a81d-316a7de053bc)
I: Set the RESUME variable to override this.
Des erreurs ont été rencontrées pendant l'exécution :
 lvm2
E: Sub-process /usr/bin/dpkg returned an error code (1)
 


et bien sur je n'ai pas la solution pour le résoudre, merci à la personne qui pourra me dépanner. Je précise que la machine fonctionne correctement.
cordialement
olivier

Dernière modification par olivier76 (27-11-2020 17:51:11)


Sur Linux depuis 2008 essentiellement Ubuntu et maintenant sur  : debian-facile-10.6
CPU: Pentium E5700 (2) @ 3.003GHz
GPU: Intel 4 Series Chipset
Memory: 1174MiB / 3912MiB

Hors ligne

#2 27-11-2020 16:48:19

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.10.0-7-amd64
(G)UI : mutter 3.38.4-1
Inscription : 15-02-2016

Re : [Résolu] Problème avec APT

Bonjour, que donne :

systemctl status lvm2-lvmpolld.socket




file /lib/systemd/system/lvm2-lvmpolld.socket



less /lib/systemd/system/lvm2-lvmpolld.socket



Source : https://duckduckgo.com/?t=ffnt&q=unmask … emd&ia=web


Nos vies commencent à prendre fin le jour où nous devenons silencieux à propos des choses qui comptent. Martin Luther King

Hors ligne

#3 27-11-2020 17:11:49

olivier76
Membre
Distrib. : GNU/Linux Debian "Buster"
Noyau : Linux 4.19.0-10-amd64
(G)UI : Gnome
Inscription : 22-08-2020

Re : [Résolu] Problème avec APT

Bonjour,
Pour les 2 premières commandes :

root@olivier-pc:~# systemctl status lvm2-lvmpolld.socket
● lvm2-lvmpolld.socket
   Loaded: masked (Reason: Unit lvm2-lvmpolld.socket is masked.)
   Active: inactive (dead)
root@olivier-pc:~# file /lib/systemd/system/lvm2-lvmpolld.socket
/lib/systemd/system/lvm2-lvmpolld.socket: ASCII text

 



Pour la dernière


[Unit]
Description=LVM2 poll daemon socket
Documentation=man:lvmpolld(8)
DefaultDependencies=no
Conflicts=shutdown.target
[Socket]
ListenStream=/run/lvm/lvmpolld.socket
SocketMode=0600
RemoveOnStop=true

[Install]
WantedBy=sysinit.target
/lib/systemd/system/lvm2-lvmpolld.socket (END)

 



@+

Dernière modification par olivier76 (27-11-2020 17:51:44)


Sur Linux depuis 2008 essentiellement Ubuntu et maintenant sur  : debian-facile-10.6
CPU: Pentium E5700 (2) @ 3.003GHz
GPU: Intel 4 Series Chipset
Memory: 1174MiB / 3912MiB

Hors ligne

#4 27-11-2020 17:30:45

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.10.0-7-amd64
(G)UI : mutter 3.38.4-1
Inscription : 15-02-2016

Re : [Résolu] Problème avec APT

systemctl unmask lvm2-lvmpolld.socket



On vérifie si cela a fonctionné :

systemctl status lvm2-lvmpolld.socket


Nos vies commencent à prendre fin le jour où nous devenons silencieux à propos des choses qui comptent. Martin Luther King

Hors ligne

#5 27-11-2020 17:49:29

olivier76
Membre
Distrib. : GNU/Linux Debian "Buster"
Noyau : Linux 4.19.0-10-amd64
(G)UI : Gnome
Inscription : 22-08-2020

Re : [Résolu] Problème avec APT

Ça donne :

root@olivier-pc:~# systemctl unmask lvm2-lvmpolld.socket
Removed /etc/systemd/system/lvm2-lvmpolld.socket.
root@olivier-pc:~# systemctl status lvm2-lvmpolld.socket
● lvm2-lvmpolld.socket - LVM2 poll daemon socket
   Loaded: loaded (/lib/systemd/system/lvm2-lvmpolld.socket; enabled; vendor pre
   Active: inactive (dead)
     Docs: man:lvmpolld(8)
   Listen: /run/lvm/lvmpolld.socket (Stream)
lines 1-5/5 (END)

 


J'ai testé "apt upgrade" et je n'ai plus le message, merci pour ton intervention big_smile
cordialement
olivier


Sur Linux depuis 2008 essentiellement Ubuntu et maintenant sur  : debian-facile-10.6
CPU: Pentium E5700 (2) @ 3.003GHz
GPU: Intel 4 Series Chipset
Memory: 1174MiB / 3912MiB

Hors ligne

#6 27-11-2020 17:57:21

--gilles--
Membre
Lieu : Orléans - La Source
Distrib. : debian 11
Noyau : Linux 5.10.0-7-amd64
(G)UI : mutter 3.38.4-1
Inscription : 15-02-2016

Re : [Résolu] Problème avec APT

Très content pour toi. big_smile
Bonne continuation.  cool

Nos vies commencent à prendre fin le jour où nous devenons silencieux à propos des choses qui comptent. Martin Luther King

Hors ligne

Pied de page des forums